IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Calendar events

Events as visible on your timeline. Can be bookings, blocked periods or notes.

The calendar event object

Attributes

iduuid

Unique identifier

booking_iduuid | null
bookings.id

Identifier of the related booking

calendar_iduuid | null
external_calendars.id

Identifier of the external calendar this event is related to

creator_iduuid | null
user_profiles.user_id

Identifier of the user that created the event

organization_iduuid
organizations.id

Identifier of the organization this event is related to

product_iduuid
products.id

Identifier of the unit this event is related to

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

durationinteger
end_datedate

Event end date

ftstsvector
generated_titletext

Title of the event generated from the product name and the customer name

has_non_invoiced_itemsboolean
has_open_paymentsboolean
notestext

Private notes about the event

origintext | null

Origin of the event

paddingsmallint

Padding of the event due to cooldown time

start_datedate

Event start date

status"CANCELLED" | "TENTATIVE" | "CONFIRMED"

Status of the event

titletext

Title of the event

type"booking" | "blocked period" | "note" | "blocked-period"

Type of the event

uidtext | null

Identifier of the event in the original calendar

The calendar event object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "calendar_id": "00000000-0000-0000-0000-000000000000",
  "creator_id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:00:21.475Z",
  "updated_at": "2026-03-12T04:00:21.475Z",
  "duration": 0,
  "end_date": "2026-03-12",
  "generated_title": "",
  "has_non_invoiced_items": false,
  "has_open_payments": false,
  "notes": "",
  "origin": "",
  "padding": 0,
  "start_date": "2026-03-12",
  "status": "CONFIRMED",
  "title": "",
  "type": "booking",
  "uid": ""
}

List calendar events

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

calendar_idFilter<uuid | null>
external_calendars.id

Identifier of the external calendar this event is related to

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the event

organization_idFilter<uuid>
organizations.id

Identifier of the organization this event is related to

product_idFilter<uuid>
products.id

Identifier of the unit this event is related to

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

durationFilter<integer>
end_dateFilter<date>

Event end date

ftsFilter<tsvector>
generated_titleFilter<text>

Title of the event generated from the product name and the customer name

has_non_invoiced_itemsFilter<boolean>
has_open_paymentsFilter<boolean>
notesFilter<text>

Private notes about the event

originFilter<text | null>

Origin of the event

paddingFilter<smallint>

Padding of the event due to cooldown time

start_dateFilter<date>

Event start date

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Status of the event

titleFilter<text>

Title of the event

typeFilter<"booking" | "blocked period" | "note" | "blocked-period">

Type of the event

uidFilter<text | null>

Identifier of the event in the original calendar

Responses

200

A list of calendar events with the selected columns

206

Partial Content

GET /calendar_events
curl -X GET "https://api.bookingmood.com/v1/calendar_events?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Delete calendar events

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

calendar_idFilter<uuid | null>
external_calendars.id

Identifier of the external calendar this event is related to

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the event

organization_idFilter<uuid>
organizations.id

Identifier of the organization this event is related to

product_idFilter<uuid>
products.id

Identifier of the unit this event is related to

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

durationFilter<integer>
end_dateFilter<date>

Event end date

ftsFilter<tsvector>
generated_titleFilter<text>

Title of the event generated from the product name and the customer name

has_non_invoiced_itemsFilter<boolean>
has_open_paymentsFilter<boolean>
notesFilter<text>

Private notes about the event

originFilter<text | null>

Origin of the event

paddingFilter<smallint>

Padding of the event due to cooldown time

start_dateFilter<date>

Event start date

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Status of the event

titleFilter<text>

Title of the event

typeFilter<"booking" | "blocked period" | "note" | "blocked-period">

Type of the event

uidFilter<text | null>

Identifier of the event in the original calendar

Responses

204

The deleted calendar events with the selected columns

DELETE /calendar_events
curl -X DELETE "https://api.bookingmood.com/v1/calendar_events" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update calendar events

Filters

idFilter<uuid>

Unique identifier

booking_idFilter<uuid | null>
bookings.id

Identifier of the related booking

calendar_idFilter<uuid | null>
external_calendars.id

Identifier of the external calendar this event is related to

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the event

organization_idFilter<uuid>
organizations.id

Identifier of the organization this event is related to

product_idFilter<uuid>
products.id

Identifier of the unit this event is related to

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

durationFilter<integer>
end_dateFilter<date>

Event end date

ftsFilter<tsvector>
generated_titleFilter<text>

Title of the event generated from the product name and the customer name

has_non_invoiced_itemsFilter<boolean>
has_open_paymentsFilter<boolean>
notesFilter<text>

Private notes about the event

originFilter<text | null>

Origin of the event

paddingFilter<smallint>

Padding of the event due to cooldown time

start_dateFilter<date>

Event start date

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Status of the event

titleFilter<text>

Title of the event

typeFilter<"booking" | "blocked period" | "note" | "blocked-period">

Type of the event

uidFilter<text | null>

Identifier of the event in the original calendar

Body

Partial<CalendarEvent>

Responses

204

The updated calendar events with the selected columns

PATCH /calendar_events
curl -X PATCH "https://api.bookingmood.com/v1/calendar_events" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'